summaryrefslogtreecommitdiff
path: root/dev-python/ipy
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/ipy
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/ipy')
-rw-r--r--dev-python/ipy/Manifest1
-rw-r--r--dev-python/ipy/ipy-1.00.ebuild45
-rw-r--r--dev-python/ipy/metadata.xml13
3 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/ipy/Manifest b/dev-python/ipy/Manifest
new file mode 100644
index 000000000000..d6c42806e7cd
--- /dev/null
+++ b/dev-python/ipy/Manifest
@@ -0,0 +1 @@
+DIST IPy-1.00.tar.gz 35324 BLAKE2B a0e04201a59c61e5cc8f7ce2837c83dded99d0d786406e2e341183a0903d43ed5496ae8ea05d1bee019007bfef7420be623ab3dc08cce33812f1720a59ca413d SHA512 94a8f26cad0d966fdf8d4e57284eadf4cfde88515af6f5aafc8f9597eb0758324b876039d1a121021ba1ac26be2e2ffa89a3f5803dddefdee03fdb5d65b07a81
diff --git a/dev-python/ipy/ipy-1.00.ebuild b/dev-python/ipy/ipy-1.00.ebuild
new file mode 100644
index 000000000000..afbead463014
--- /dev/null
+++ b/dev-python/ipy/ipy-1.00.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit distutils-r1
+
+MY_PN="IPy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Class and tools for handling of IPv4 and IPv6 addresses and networks"
+HOMEPAGE="https://github.com/haypo/python-ipy/wiki https://pypi.org/project/IPy/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc x86"
+IUSE="examples"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_test() {
+ # 1 test fail under pypy, persistent from 0.82a, not a regression.
+ cp -r test_doc.py README.rst test "${BUILD_DIR}" || die
+ pushd "${BUILD_DIR}" > /dev/null || die
+ "${PYTHON}" test/test_IPy.py || die "Tests fail with ${EPYTHON}"
+ "${PYTHON}" test_doc.py || die "Doctests fail with ${EPYTHON}"
+ popd > /dev/null || die
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r example/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/ipy/metadata.xml b/dev-python/ipy/metadata.xml
new file mode 100644
index 000000000000..79298ff1fa60
--- /dev/null
+++ b/dev-python/ipy/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">IPy</remote-id>
+ <remote-id type="github">haypo/python-ipy</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>